# Time-stamp: <modified the 17/01/2023 (at 14:51) by Erwan Jahier>

DECO_PATTERN="0:root.ml 1-:p.ml"
-include ./Makefile.dot
-include ./Makefile.inc
-include Makefile.untracked

##############################################################################
# Non-regression tests

test: test0 lurette lurette-alt rdbg-test clean
test0: ring.cmxs
	sasa -l 200 ring.dot
utest: clean

lurette: grid4.cmxs grid4_oracle.lus
	lurette --sasa -o rdbg.rif -sut "sasa grid4.dot -rif" \
		-oracle "lv6 grid4_oracle.lus -n oracle -exec" -l 1000

lurette-alt: grid4.cma grid4_oracle.lus
	rdbg -lurette --sasa -o rdbg.rif -sut "sasa grid4.dot -rif" \
		-oracle "lv6 grid4_oracle.lus -n oracle -exec" -l 1000

rdbg-test: ring.cma
	rdbg --sasa -o rdbg.rif -sut "sasa ring.dot" -l 1000 -go --input some_session

clean: genclean
	rm -f ring.ml grid*.ml grid*.lus

##############################################################################
# Other examples of use

sim2chrogtk: ring.rif
	sim2chrogtk -ecran -in $< > /dev/null

gnuplot: ring.rif
	gnuplot-rif $<

ocd: grid4.ml grid4.cma
	rdbg --sasa --ocamldebug  -sut "sasa grid4.dot" -l 1000

rdbg: grid4.ml
	rdbg --sasa -o rdbg.rif -sut "sasa  grid4.dot" -l 1000

rdbg-ring: ring.ml
	rdbg --sasa -o rdbg.rif -sut "sasa ring.dot" -l 1000
